org.hibernate.search.metadata

## Interface FieldSettingsDescriptor

- All Known Subinterfaces:
    FieldDescriptor, NumericFieldSettingsDescriptor
  All Known Implementing Classes:
    FieldDescriptorImpl, NumericFieldDescriptorImpl

      public interface FieldSettingsDescriptor

  Metadata related to a single Lucene Document field and its options. Some of the values in this interface do not have a direct counterpart in the Lucene works, but are an abstraction of Hibernate Search and mapped to the appropriate Lucene construct.
  Author:
    Hardy Ferentschik

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static class` | `FieldSettingsDescriptor.Type` Defines different logical field types

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `<T extends FieldSettingsDescriptor> T` | `as(Class<T> type)` Narrows the type of this descriptor down to the specified `type`.
    `Analyze` | `getAnalyze()`
    `float` | `getBoost()`
    `Index` | `getIndex()`
    `String` | `getName()` Returns the Lucene `Document` field name for this indexed property.
    `Norms` | `getNorms()`
    `Store` | `getStore()`
    `TermVector` | `getTermVector()`
    `FieldSettingsDescriptor.Type` | `getType()`

- - ### Method Detail

    - #### getName

          String getName()

      Returns the Lucene `Document` field name for this indexed property.
      Returns:
        Returns the field name for this index property

    - #### getIndex

          Index getIndex()

      Returns:
        an `Index` enum instance defining whether this field is indexed

    - #### getAnalyze

          Analyze getAnalyze()

      Returns:
        an `Analyze` enum instance defining the type of analyzing applied to this field

    - #### getStore

          Store getStore()

      Returns:
        a `Store` enum instance defining whether the index value is stored in the index itself

    - #### getTermVector

          TermVector getTermVector()

      Returns:
        a `TermVector` enum instance defining whether and how term vectors are stored for this field

    - #### getNorms

          Norms getNorms()

      Returns:
        a `Norms` enum instance defining whether and how norms are stored for this field

    - #### getBoost

          float getBoost()

      Returns:
        the boost value for this field. 1 being the default value.

    - #### getType

          FieldSettingsDescriptor.Type getType()

      Returns:
        `Type` of this field

    - #### as

          <T extends FieldSettingsDescriptor> T as(Class<T> type)

      Narrows the type of this descriptor down to the specified `type`. The appropriate type should be checked beforehand by calling `getType()`.
      Type Parameters:
        `T` - the type to narrow down to
      Parameters:
        `type` - class object representing the descriptor type to narrow down to to
      Returns:
        this descriptor narrowed down to the given type.

Copyright © 2006-2017 Red Hat, Inc. All Rights Reserved